package com.liquidnet.common.third.zxlnft.dto;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: SeriesListReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:45
 */
@Data
public class Nft033SeriesListRespDto implements Serializable {
    private List<String> seriesList;

    private static final Nft033SeriesListRespDto obj = new Nft033SeriesListRespDto();
    public static Nft033SeriesListRespDto getNew() {
        try {
            return (Nft033SeriesListRespDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft033SeriesListRespDto();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
